Ext.define('Shopware.apps.viaebay.controller.Main', 
{
	/**
	 * Extend from the standard ExtJS 4 controller
	 * @string
	 */
	extend: 'Ext.app.Controller',

    refs: [
        { ref: 'window', selector: 'viaebay-boarding-window' },
    ],

    /**
     * 
     */
	//mainWindow: null,
	
	/**
	 * Creates the necessary event listener for this
	 * specific controller and opens a new Ext.window.Window
	 * to display the subapplication
	 *
	 * @return void
	 */
	init: function() 
    {
		var me = this;
        
        me.control({
            'viaebay-boarding-window': 
            {
                'viaebay-boarding-window-save': me.onSaveBoarding,
                'viaebay-boarding-window-skip': me.onSkipBoarding,
            },
        });

        me.mainWindow = me.getView('boarding.Window').create().show();

        me.callParent(arguments);
	},
   
    onSaveBoarding:function(window, record)
    {
        var me = this,
            form = window.panel.getForm(),
            values = form.getValues(),
            openerWindow = me.subApplication.openerWindow,
            plugin = openerWindow.plugin;


        if (form.isValid()) 
        {
            // Send form to backend controller
            Ext.Ajax.request({
                url: '{url controller="viaebay" action="runBoarding"}',
                method: 'POST',
                params: values,
                success: function(response) {

                    Shopware.Notification.createGrowlMessage('VIAeBay','Boarding abgeschlossen. Sie können das Plugin jetzt konfigurieren');

                    openerWindow.down('plugin-manager-detail-page').loadRecord(plugin); 

                    window.destroy();

                    Ext.Msg.alert('Vielen Dank für Ihre Kontaktinformationen.', ''
                        + 'Sie werden nun von einem VIA-Connect Mitarbeiter so schnell wie möglich '
                        + 'kontaktiert, damit Ihr Start bei eBay erfolgreich und schnell gelingt.<br> '
                        + '<br>'
                        + 'Ihre Zugangsdaten für die Schnittstelle erhalten Sie von unserem '
                        + 'VIA-Connect-Berater im Rahmen des Onbardings.<br> '
                        + '<br> '
                        + 'Bei Fragen wenden Sie sich bitte an uns per mail <a href="mailto:shopware@via.de">shopware@via.de</a> '
                    );
                }
            });
        }
        else
        { // display error alert if the data is invalid
            Ext.Msg.alert('Ihre Daten sind unvollständig.', 'Bitte korrigieren Sie Ihre Eingaben.');
        }
    },
    
    onSkipBoarding:function(window, record)
    {
        var me = this,
        form = window.panel.getForm(),
        values = form.getValues(),
        openerWindow = me.subApplication.openerWindow,
        plugin = openerWindow.plugin;


            // Send form to backend controller
            Ext.Ajax.request({
                url: '{url controller="viaebay" action="skipBoarding"}',
                method: 'POST',
                params: values,
                success: function(response) {

                    Shopware.Notification.createGrowlMessage('VIAeBay','Boarding übersprungen. Sie können das Plugin jetzt konfigurieren');

                    openerWindow.down('plugin-manager-detail-page').loadRecord(plugin); 

                    window.destroy();

                    Ext.Msg.alert('VIAeBay', 'Boarding übersprungen. Sie können das Plugin jetzt konfigurieren');
                }
            });
    },
    
});
