//{block name="backend/article/view/detail/window" append}

Ext.override(Shopware.apps.Article.view.detail.Window, {

    createBaseTab: function() {

        var me = this;
        var fieldSets = me.callParent(arguments);

        me.viaEbayAttributeFieldSet = Ext.create('Ext.form.FieldSet', {
            alias:'widget.viaebay-field-set',
            title: 'VIA-Connect - Preisvorschlag',
            layout: 'column',
            items: me.createForm()
        });
        
        
        var oldItemsSortLength = me.detailForm.items.length;
        var oldItemsSort = new Array();
        
        for (var a = 0, b = 0; a < oldItemsSortLength; a++, b++) {
            oldItemsSort[a] = me.detailForm.items.items[a];
        }
        
        for (var a = 0, b = 0; a < oldItemsSortLength; a++, b++) {
            me.detailForm.insert(oldItemsSort[a]);

            if (oldItemsSort[a].initialCls == 'x-article-prices-field-set') {
                b++;
                me.detailForm.insert(me.viaEbayAttributeFieldSet);
            }
        }
        
        me.detailForm.loadRecord(me.article);

        return fieldSets;
    },
                
    createForm:function () {
        var leftContainer, rightContainer, me = this;
 
        leftContainer = Ext.create('Ext.container.Container', {
            columnWidth:0.5,
            border:false,
            layout:'anchor',
            defaults:{
                anchor:'50%',
                labelWidth:160,
                allowBlank: false,
                xtype:'textfield'
            },
            cls: Ext.baseCSSPrefix + 'field-set-container',
            items:me.createFormLeft()
        });
        
        rightContainer = Ext.create('Ext.container.Container', {
            columnWidth:0.5,
            border:false,
            layout:'anchor',
            defaults:{
                anchor:'100%',
                labelWidth:150,
                xtype:'textfield'
            },
            margin: '0 0 0 20',
            cls: Ext.baseCSSPrefix + 'field-set-container',
            items: me.createFormRight()
        });
 
        return [ leftContainer, rightContainer ];
    },
 
    createFormLeft:function () {
 
        return [
            {
                xtype: 'textfield',
                name: 'attribute[bestofferautoacceptprice]',
                fieldLabel: 'Automatisch Akzeptieren Ab',
                helpText: 'Angabe muss kleiner dem Verkaufspreis sein!!<br /><br />Enthält den Preis, ab dem Preisvorschläge automatisch angenommen werden sollen.',
                helpWidth: 360
            },
            {
                xtype: 'textfield',
                name: 'attribute[bestofferminimumprice]',
                fieldLabel: 'Automatisch Ablehnen Unter',
                helpText: 'Angabe muss kleiner dem "Automatisch Akzeptieren Ab"-Preis sein!!<br /><br />Enthält den Preis, ab dem Preisvorschläge automatisch abgelehnt werden sollen.',
                helpWidth: 360
            }
        ];
    },
    
    createFormRight:function () {
        
        return [
            {
                xtype: 'hidden',
                name: 'attribute[viaeabyprice]',
            }
        ];
    }
    
});
        
        
//{/block}