//{block name="backend/article_list/view/main/grid" append}
	Ext.override(Shopware.apps.ArticleList.view.main.Grid, {
		initComponent: function() {
			var me = this;

			me.addEvents(
				'sendMultipleArticlesToeBay',
				'sendAllArticlesToeBay',
				'sendOnlySubmittedArticlesToeBay',
				'sendOnlyUpdatedArticlesToeBay',
				'deleteMultipleArticlesIneBay',
				'deleteAllArticlesIneBay'
			);

			me.callParent(arguments);
		},
		getGridSelModel: function () {
			var me = this
			var listeners = me.callParent(arguments);

			listeners.on('selectionchange',
				function (sm, selections) {
					var action = me.VIAeBayActionsDropdown.getValue();

					if(action == 'sendMultipleArticlesToeBay' || action == 'deleteMultipleArticlesIneBay') {
						me.VIAeBayActionsButton.setDisabled(selections.length === 0);
					}
				}
			);

			return listeners;
		},
		getToolbar: function() {
			var me = this;
			var toolbar = me.callParent(arguments);

			var VIAeBayActionsStore = Ext.create('Ext.data.Store', {
				fields: ['action', 'name'],
				data: [
					{ 'action':'', 'name':'<b>Artikel übertragen</b>' },
					{ 'action':'sendMultipleArticlesToeBay', 'name':'Ausgewählte übertragen' },
					{ 'action':'sendOnlySubmittedArticlesToeBay', 'name':'Übertragene übertragen' },
					{ 'action':'sendOnlyUpdatedArticlesToeBay', 'name':'Aktualisierte übertragen' },
					{ 'action':'sendAllArticlesToeBay', 'name':'Alle übertragen' },
					{ 'action':'', 'name':'<b><font color="red">Artikel löschen</font></b>' },
					{ 'action':'deleteMultipleArticlesIneBay', 'name':'Ausgewählte löschen' },
					{ 'action':'deleteAllArticlesIneBay', 'name':'Alle löschen' }
				]
			});

			me.VIAeBayActionsDropdown = Ext.create('Ext.form.ComboBox', {
				id: 'VIAeBayActionsDropdown',
				editable: false,
				emptyText: 'Bitte wählen',
				store: VIAeBayActionsStore,
				displayField: 'name',
				valueField: 'action',
				value: 'sendMultipleArticlesToeBay',
				listeners:{
					change: function(field, newValue, oldValue) {
						var selectionModel = me.getSelectionModel();
						var records = selectionModel.getSelection();

						if(newValue == 'sendMultipleArticlesToeBay' || newValue == 'deleteMultipleArticlesIneBay') {
							me.VIAeBayActionsButton.setDisabled(records.length === 0);
						} else {
							me.VIAeBayActionsButton.setDisabled(false);
						}
					},
					beforeselect: function(combo, record, index) {
						return ("" != record.data.action);
					}
				}
			});

			toolbar.items.insert(3, me.VIAeBayActionsDropdown);

			me.VIAeBayActionsButton = Ext.create('Ext.button.Button', {
				text: 'Aktion ausführen',
				iconCls:'sprite-arrow-circle-double-135',
				handler: function() {
					var selectionModel = me.getSelectionModel();
					var records = selectionModel.getSelection();
					var action = me.VIAeBayActionsDropdown.getValue();

					if(action == '' || action == null) {
						Ext.MessageBox.alert('Fehler', 'Bitte wählen Sie erst die auszuführende Aktion aus!');

						return;
					}

					if(action == 'sendMultipleArticlesToeBay' || action == 'deleteMultipleArticlesIneBay') {
						me.fireEvent(action, records);
					} else {
						me.fireEvent(action);
					}

					me.VIAeBayActionsDropdown.setValue('sendMultipleArticlesToeBay');
				}
			})

			toolbar.items.insert(4, me.VIAeBayActionsButton);

			return toolbar;
		},
		getColumns: function () {
			var me = this;
			var columns = me.callParent(arguments);

			var columnVIAeBayContainerID = {
				header: 'VIA-Connect Container ID',
				dataIndex:'swp_viaebay_container_id',
				flex: 3
			};

			var columnVIAeBayID = {
				header: 'VIA-Connect ID',
				dataIndex:'swp_viaebay_id',
				flex: 3
			};

			return Ext.Array.insert(columns, 1, [columnVIAeBayContainerID, columnVIAeBayID]);
		}
	});
//{/block}
