//{block name="backend/article/view/detail/window" append}

Ext.override(Shopware.apps.Article.view.detail.Window, {

    onStoresLoaded: function() {
        
        var me = this;
        
        me.callParent(arguments);
        
        Ext.Ajax.request({
            url: '{url controller=viaebay action=getDataFromVIAeBayArticleTable}',
            params: {
                _articleId: me.article.get('id'),
                _mainDetailId: me.article.get('mainDetailId'),
            },
            success: function(responseData, request) {
                var response = Ext.JSON.decode(responseData.responseText);

                me.__attribute_best_offer_minimum_price.setValue(response.responseText['best_offer_minimum_price']);
                me.__attribute_best_offer_auto_accept_price.setValue(response.responseText['best_offer_auto_accept_price']);
                me.__attribute_viaeabyprice.setValue(response.responseText['viaeabyprice']);
            }
        });
    },
    
    createBaseTab: function() {
        
        var me = this;
        var fieldSets = me.callParent(arguments);
        
        me.viaEbayAttributeFieldSet = Ext.create('Ext.form.FieldSet', {
            alias:'widget.viaebay-field-set',
            title: 'VIA-Connect - Preisvorschlag',
            layout: 'column',
            items: me.createForm()
        });
        
        
        var oldItemsSortLength = me.detailForm.items.length;
        var oldItemsSort = new Array();
        
        for (var a = 0, b = 0; a < oldItemsSortLength; a++, b++) {
            oldItemsSort[a] = me.detailForm.items.items[a];
        }
        
        for (var a = 0, b = 0; a < oldItemsSortLength; a++, b++) {
            me.detailForm.insert(oldItemsSort[a]);

            if (oldItemsSort[a].initialCls == 'x-article-prices-field-set') {
                b++;
                me.detailForm.insert(me.viaEbayAttributeFieldSet);
            }
        }
        
        me.detailForm.loadRecord(me.article);

        return fieldSets;
    },
                
    createForm:function () {
        var leftContainer, rightContainer, me = this;
 
        leftContainer = Ext.create('Ext.container.Container', {
            columnWidth:0.5,
            border:false,
            layout:'anchor',
            defaults:{
                //anchor:'50%',
                labelWidth:160,
                allowBlank: false,
                xtype:'textfield'
            },
            cls: Ext.baseCSSPrefix + 'field-set-container',
            items:me.createFormLeft()
        });
        
        rightContainer = Ext.create('Ext.container.Container', {
            columnWidth:0.5,
            border:false,
            layout:'anchor',
            defaults:{
                //anchor:'100%',
                labelWidth:150,
                xtype:'textfield'
            },
            margin: '0 0 0 20',
            cls: Ext.baseCSSPrefix + 'field-set-container',
            items: me.createFormRight()
        });
 
        return [ leftContainer, rightContainer ];
    },
    
    createFormLeft:function () {
 
        var me = this;
        
        me.__attribute_best_offer_auto_accept_price = Ext.create('Ext.form.field.Text', {
            xtype: 'textfield',
            name: 'bestofferautoacceptprice',
            fieldLabel: 'Automatisch Akzeptieren Ab',
            helpText: 'Angabe muss kleiner dem Verkaufspreis sein!!<br /><br />Enthält den Preis, ab dem Preisvorschläge automatisch angenommen werden sollen.',
            helpWidth: 360
        });
        
        me.__attribute_best_offer_minimum_price = Ext.create('Ext.form.field.Text', {
            xtype: 'textfield',
            name: 'bestofferminimumprice',
            fieldLabel: 'Automatisch Ablehnen Unter',
            helpText: 'Angabe muss kleiner dem "Automatisch Akzeptieren Ab"-Preis sein!!<br /><br />Enthält den Preis, ab dem Preisvorschläge automatisch abgelehnt werden sollen.',
            helpWidth: 360
        });
        
        return [me.__attribute_best_offer_auto_accept_price, me.__attribute_best_offer_minimum_price];
    },
    
    createFormRight:function () {
        
        var me = this;
        
        me.__attribute_viaeabyprice = Ext.create('Ext.form.field.Hidden', {
            xtype: 'hidden',
            name: 'viaeabyprice',
            value: me.__attribute_viaeabyprice,
        });
        
        return [me.__attribute_viaeabyprice];
    }
    
});
        
        
//{/block}