//{block name="backend/article_list/controller/main" append}
	Ext.override(Shopware.apps.ArticleList.controller.Main, {
		init: function() {
			var me = this;

			me.control({
                                'multi-edit-main-grid': {
					sendMultipleArticlesToeBay: me.onSendMultipleArticlesToeBay,
					sendAllArticlesToeBay: me.onSendAllArticlesToeBay,
					sendOnlySubmittedArticlesToeBay: me.onSendOnlySubmittedArticlesToeBay,
					sendOnlyUpdatedArticlesToeBay: me.onSendOnlyUpdatedArticlesToeBay,
                                        sendReviseInventoryStatusToeBay: me.onSendReviseInventoryStatusToeBay,
					deleteMultipleArticlesIneBay: me.OnDeleteMultipleArticlesIneBay,
					deleteAllArticlesIneBay: me.OnDeleteAllArticlesIneBay
				}
			});

			me.callParent(arguments);
		},
		onSendMultipleArticlesToeBay: function(records) {
                        var me = this;
                        
                        //console.log(records);

			if(records.length > 0) {
                            Ext.MessageBox.show({
				title: 'Ausgewählte Artikel an VIA-Connect senden',
				msg: 'Wollen Sie die ausgewählten Artikel wirklich an VIA-Connect übertragen?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
				buttons: Ext.MessageBox.YESNO,
				fn: function sendMultipleArticlesToeBay(response){
					if(response !== 'yes') {
						return;
					}
                                        
                                        var dataArray = new Array();

					Ext.each(records, function(record, index) {
                                            dataArray[index] = record.data.Article_id;
					});

					Ext.Ajax.timeout = 36000000; // 60 Minutes

					me.mainWindow.setLoading(true);

					Ext.Ajax.request({
						url:'{url controller="viaebay" action="sendMultipleArticlesToeBay"}',
                                                params: {
							productIDs: Ext.encode(dataArray)
						},
						scope: me,
						success:function (response) {
							var result = Ext.decode(response.responseText);

							me.mainWindow.setLoading(false);

							var path = window.location.pathname;
							path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

							Ext.MessageBox.alert('Artikel an VIA-Connect übertragen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
						},
						failure:function () {
							me.mainWindow.setLoading(false);

							Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
						}
					});
				},
				icon: Ext.MessageBox.WARNING
                            });
			}
		},
		onSendAllArticlesToeBay: function() {
			var me = this;

			Ext.MessageBox.confirm('Alle Artikel an VIA-Connect senden', 'Wollen Sie wirklich alle Artikel an VIA-Connect übertragen?', function (response) {
				if(response !== 'yes') {
					return;
				}

				Ext.Ajax.timeout = 36000000; // 60 Minutes

				me.mainWindow.setLoading(true);

				Ext.Ajax.request({
					url:'{url controller="viaebay" action="sendAllArticlesToeBay"}',
					scope: me,
					success:function (response) {
						var result = Ext.decode(response.responseText);

						me.mainWindow.setLoading(false);

						var path = window.location.pathname;
						path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

						Ext.MessageBox.alert('Artikel an VIA-Connect übertragen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
					},
					failure:function () {
						me.mainWindow.setLoading(false);

						Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
					}
				});
			});
		},
		onSendOnlySubmittedArticlesToeBay: function() {
                        var me = this;

			Ext.MessageBox.show({
				title: 'Alle bereits übertr. Artikel an VIA-Connect senden',
				msg: 'Wollen Sie wirklich alle bereits übertragenen Artikel an VIA-Connect senden?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
				buttons: Ext.MessageBox.YESNO,
				fn: function sendOnlySubmittedArticlesToeBay(response){
					if(response !== 'yes') {
						return;
					}

					Ext.Ajax.timeout = 36000000; // 60 Minutes

					me.mainWindow.setLoading(true);

					Ext.Ajax.request({
						url:'{url controller="viaebay" action="sendOnlySubmittedArticlesToeBay"}',
						scope: me,
						success:function (response) {
							var result = Ext.decode(response.responseText);

							me.mainWindow.setLoading(false);

							var path = window.location.pathname;
							path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

							Ext.MessageBox.alert('Artikel an VIA-Connect übertragen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
						},
						failure:function () {
							me.mainWindow.setLoading(false);

							Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
						}
					});
				},
				icon: Ext.MessageBox.WARNING
			});
		},
		onSendOnlyUpdatedArticlesToeBay: function() {
			var me = this;

			Ext.MessageBox.confirm('Alle aktualisierten Artikel an VIA-Connect senden', 'Wollen Sie wirklich alle aktualisierten Artikel an VIA-Connect senden?', function (response) {
				if(response !== 'yes') {
					return;
				}

				Ext.Ajax.timeout = 36000000; // 60 Minutes

				me.mainWindow.setLoading(true);

				Ext.Ajax.request({
					url:'{url controller="viaebay" action="sendOnlyUpdatedArticlesToeBay"}',
					scope: me,
					success:function (response) {
						var result = Ext.decode(response.responseText);

						me.mainWindow.setLoading(false);

						var path = window.location.pathname;
						path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

						Ext.MessageBox.alert('Artikel an VIA-Connect übertragen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
					},
					failure:function () {
						me.mainWindow.setLoading(false);

						Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
					}
				});
			});
		},
                onSendReviseInventoryStatusToeBay: function(records) {
    			var me = this;

                        if(records.length > 0) {
                            
                            Ext.MessageBox.show({
                                    title: 'Preis/Menge in VIA-Connect sychronisieren',
                                    msg: 'Wollen Sie für die ausgewählten Artikel in VIA-Connect Preis/Menge sychronisieren?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
                                    buttons: Ext.MessageBox.YESNO,
                                    fn: function sendReviseInventoryStatusToeBay(response){
                                            if(response !== 'yes') {
                                                    return;
                                            }
                                            
                                            var dataArray = new Array();

                                            Ext.each(records, function(record, index) {
                                                dataArray[index] = record.data.Article_id;
                                            });

                                            Ext.Ajax.timeout = 36000000; // 60 Minutes

                                            me.mainWindow.setLoading(true);

                                            Ext.Ajax.request({
                                                    url:'{url controller="viaebay" action="sendReviseInventoryStatusToeBay"}',
                                                    params: {
                                                        productIDs: Ext.encode(dataArray)
                                                    },
                                                    scope: me,
                                                    success:function (response) {
                                                            var result = Ext.decode(response.responseText);

                                                            me.mainWindow.setLoading(false);

                                                            var path = window.location.pathname;
                                                            path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

                                                            Ext.MessageBox.alert('Preis/Menge in VIA-Connect sychronisieren', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
                                                    },
                                                    failure:function () {
                                                            me.mainWindow.setLoading(false);

                                                            Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
                                                    }
                                            });
                                    },
                                    icon: Ext.MessageBox.WARNING
                            });
                            
                            
                        } else {

                            Ext.MessageBox.show({
                                    title: 'Preis/Menge in VIA-Connect sychronisieren',
                                    msg: 'Wollen Sie für alle Artikel in VIA-Connect Preis/Menge sychronisieren?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
                                    buttons: Ext.MessageBox.YESNO,
                                    fn: function sendReviseInventoryStatusToeBay(response){
                                            if(response !== 'yes') {
                                                    return;
                                            }

                                            Ext.Ajax.timeout = 36000000; // 60 Minutes

                                            me.mainWindow.setLoading(true);

                                            Ext.Ajax.request({
                                                    url:'{url controller="viaebay" action="sendReviseInventoryStatusToeBay"}',
                                                    scope: me,
                                                    success:function (response) {
                                                            var result = Ext.decode(response.responseText);

                                                            me.mainWindow.setLoading(false);

                                                            var path = window.location.pathname;
                                                            path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

                                                            Ext.MessageBox.alert('Preis/Menge in VIA-Connect sychronisieren', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.articlesSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.articlesFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
                                                    },
                                                    failure:function () {
                                                            me.mainWindow.setLoading(false);

                                                            Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
                                                    }
                                            });
                                    },
                                    icon: Ext.MessageBox.WARNING
                            });
                        }
		},
		OnDeleteMultipleArticlesIneBay: function(records) {
			var me = this;

			if(records.length > 0) {
				Ext.MessageBox.show({
					title: 'Ausgewählte Artikel in VIA-Connect löschen',
					msg: 'Wollen Sie die ausgewählten Artikel wirklich in VIA-Connect löschen?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
					buttons: Ext.MessageBox.YESNO,
					fn: function deleteMultipleArticlesIneBay(response){
						if(response !== 'yes') {
							return;
						}

						var dataArray = new Array();

						Ext.each(records, function(record, index) {
							dataArray[index] = record.data.Article_id;
						});

						Ext.Ajax.timeout = 36000000; // 60 Minutes

						me.mainWindow.setLoading(true);

						Ext.Ajax.request({
							url:'{url controller="viaebay" action="deleteMultipleArticlesIneBay"}',
							params: {
								productIDs: Ext.encode(dataArray)
							},
							scope: me,
							success:function (response) {
								var result = Ext.decode(response.responseText);

								me.mainWindow.setLoading(false);

								var path = window.location.pathname;
								path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

								Ext.MessageBox.alert('Artikel in VIA-Connect löschen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.deleteSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.deleteFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
							},
							failure:function () {
								me.mainWindow.setLoading(false);

								Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
							}
						});
					},
					icon: Ext.MessageBox.WARNING
				});
			}
		},
		OnDeleteAllArticlesIneBay: function() {
			var me = this;

			Ext.MessageBox.show({
				title: 'Ausgewählte Artikel in VIA-Connect löschen',
				msg: 'Wollen Sie alle Artikel wirklich in VIA-Connect löschen?<br /><br />Je nach Anzahl der Artikel kann dieser Vorgang etwas Zeit in Anspruch nehmen.<br />Bei einer größeren Anzahl von Artikeln kann es zu Abbrüchen kommen.',
				buttons: Ext.MessageBox.YESNO,
				fn: function deleteMultipleArticlesIneBay(response){
					if(response !== 'yes') {
						return;
					}

					Ext.Ajax.timeout = 36000000; // 60 Minutes

					me.mainWindow.setLoading(true);

					Ext.Ajax.request({
						url:'{url controller="viaebay" action="deleteAllArticlesIneBay"}',
						scope: me,
						success:function (response) {
							var result = Ext.decode(response.responseText);

							me.mainWindow.setLoading(false);

							var path = window.location.pathname;
							path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

							Ext.MessageBox.alert('Artikel in VIA-Connect löschen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.deleteSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.deleteFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);
						},
						failure:function () {
							me.mainWindow.setLoading(false);

							Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');
						}
					});
				},
				icon: Ext.MessageBox.WARNING
			});
		},
                createDetailModel: function (data) {
        
                    var me = this;
        
                    data.push ({
                            alias: 'swp_viaebay_container_id',
                            nullable: true,
                            name: 'swp_viaebay_container_id',
                            allowInGrid: true,
                            type: 'integer'
                    },
                    {
                            alias: 'swp_viaebay_id',
                            nullable: true,
                            name: 'swp_viaebay_id',
                            allowInGrid: true,
                            type: 'integer'
                    });
                        
                    me.callParent(arguments);
                    
                }
	});
//{/block}
